import { InlineValue } from '../../abstract/inline-value';
/**
 * Component used for editing a "single line" LF string.
 */
export declare class TextComponent extends InlineValue {
    /**
     * Whether to show the "is required" icon on the component.
     */
    readonly showIsRequired: boolean;
    /**
     * Action to run on every `input` event of the text input.
     * @param evt `input` event.
     */
    _onInput(evt: any): void;
    protected validatePath(): void;
}
