import { LfFileStorage, LfI18n, LfRouter, LfStorage } from '@lightweightform/core';
import { ActionsMenuAction } from '../../actions-menu/actions-menu.component';
import { AppComponent } from '../app.component';
/**
 * LF component used to display the "top-bar" of an application.
 */
export declare class TopBarComponent {
    private lfStorage;
    private lfRouter;
    private lfI18n;
    private lfFileStorage;
    protected _appComponent: AppComponent;
    actions: ActionsMenuAction[];
    constructor(lfStorage: LfStorage, lfRouter: LfRouter, lfI18n: LfI18n, lfFileStorage: LfFileStorage, _appComponent: AppComponent);
    readonly retryValidationText: string;
    readonly rootUrl: string;
    readonly appIsPending: boolean;
    readonly shouldShowAppRecompute: boolean;
    recomputeAppStateProperties(): void;
    readonly isTreeNavVisible: boolean;
    showTreeNav(): void;
}
