import { ModalComponent } from '../modal.component';
/**
 * Component that represents the header of a Bootstrap modal.
 */
export declare class ModalHeaderComponent {
    private modalComponent;
    /**
     * Whether to display a button to close the modal.
     */
    showCloseButton: boolean;
    _hostClassModalHeader: boolean;
    constructor(modalComponent: ModalComponent);
    /**
     * Tooltip text used by the modal's close button.
     */
    readonly closeButtonTooltip: any;
    /**
     * Hides the modal.
     */
    hide(): void;
}
