import { OnInit } from '@angular/core';
import { PathBased } from '@lightweightform/core';
/**
 * Component used to show a tree to navigate between values.
 */
export declare class TreeNavComponent extends PathBased implements OnInit {
    private lfRouter;
    ngOnInit(): void;
    readonly _hasRoutes: boolean;
    /**
     * Hide the tree-nav.
     */
    hideTreeNav(): void;
}
